## firefox 71.0~mozillabinaries

=== debian/changelog ===
firefox (71.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Dec 2019 15:20:50 -0800

## firefox 72.0~mozillabinaries

=== debian/changelog ===
firefox (72.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 07 Jan 2020 14:49:00 -0800

## firefox 72.0.1~mozillabinaries

=== debian/changelog ===
firefox (72.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 08 Jan 2020 15:10:08 -0800

## firefox 72.0.1+build1

=== debian/changelog ===
firefox (72.0.1+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (72.0.1+build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Jan 2020 15:46:40 +0100

firefox (72.0+build4-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (72.0+build4)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given firefox version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

  [ Rico Tzschichholz ]
  * Exclude autoconf files from integrity check
    - debian/patches/drop-some-file-integrity-checks.patch
  * Bump build-dep on clang >= 8 (LP: #1850529)
    - debian/control{,.in}
    - debian/build/rules.mk
  * Update cbindgen to 0.12.1
    - debian/build/create-tarball.py
  * Use ac_add_options to define specific compiler and tool versions
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1603860)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 07 Jan 2020 23:04:53 +0100

firefox (71.0+build5-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (71.0+build5)

  * Update test expectation
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Dec 2019 19:45:36 +0100

firefox (71.0+build2-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (71.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.10.0
    - debian/build/create-tarball.py
  * Bump build-dep on rustc >= 1.37.0 and cargo >= 0.38
    - debian/control{,.in}
  * Add explicit build-dep on libclang-*-dev
    - debian/control{,.in}
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
  * Skip Tagalog (tl) and Triqui (trs) localizations
    - debian/config/locales.blacklist
  * Include ca-valencia
    - update debian/config/locales.shipped

  [ Sabri Ünal, Selim Sumlu ]
  * Fix Turkish translation for the new-private-window action (LP: #1852818)
    - debian/firefox.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Nov 2019 16:23:05 +0100

firefox (70.0.1+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (70.0.1build1)

  [ Jean-Louis Dupond ]
  * Fix a typo in debian/README.Debian.in

  [ Olivier Tilloy ]
  * Update symbolic icon to match the latest firefox brand update
    (the asset was downloaded from https://mozilla.design/firefox/logos-usage/)
    - debian/symbolic.svg
  * Add an explicit build dependency on libclang-dev to remain in sync with
    focal, where clang stopped depending on libclang1
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 09:46:28 +0100

firefox (70.0+build2-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (70.0build2)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Build with clang, as official firefox builds are now produced with clang,
    and select the highest clang version available to avoid hardcoding one
    version for each supported Ubuntu release:
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.36.0 and cargo >= 0.37
    - debian/control{,.in}
  * Update cbindgen to 0.9.1
    - debian/build/create-tarball.py
  * Exclude config.log from the build
    - debian/config/tarball.conf
    - debian/rules
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Drop upstreamed patches
    - debian/patches/fix-browser-search-get-api.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 07:36:23 +0200

firefox (69.0.3+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0.3build1)

  * Install the minidump-analyzer executable (LP: #1845205)
    - update debian/firefox.install.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 10 Oct 2019 10:37:37 +0200

firefox (69.0.2+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0.2build1)

  * Restore icons for the amazon search engine descriptions (LP: #1844051)
    - update debian/searchplugins/amazon*.xml

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 02 Oct 2019 21:29:43 +0200

firefox (69.0.1+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 18 Sep 2019 00:29:55 +0200

firefox (69.0+build2-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0build2)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Stop building and remove firefox-globalmenu (LP: #1834866)
  * Backport an upstream commit to fix the browser.search.get()
    Web Extension API (LP: #1840597)
    - add fix-browser-search-get-api.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.9.0
    - debian/build/create-tarball.p
  * Use firefox-*.json to retrieve revision
    - debian/build/create-tarball.py
  * Bump build-dep to clang-8 and llvm-8-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.35.0 and cargo >= 0.36
    - debian/control{,.in}
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/unity-menubar.patch
  * Drop upstreamed patches
    - debian/patches/skcms-workaround-gcc-bug.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Aug 2019 17:22:58 +0200



=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.disco
Build-Depends: cdbs,
	locales,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.13.02),
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-9 | clang-8,
	libclang-9-dev | libclang-8-dev,
	llvm-9-dev | llvm-8-dev,
	cargo (>= 0.38),
	rustc (>= 1.37.0),
	nodejs (>= 8.11)
Standards-Version: 3.9.1

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Safe and easy web browser from Mozilla - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-geckodriver
Architecture: any
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Description: Safe and easy web browser from Mozilla - geckodriver
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains geckodriver, a proxy for using W3C WebDriver-compatible
 clients (such as selenium) to interact with Gecko-based browsers. See
 https://firefox-source-docs.mozilla.org/testing/geckodriver/ for details.

# Transitional packages below here

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for Firefox
 This package contains Aragonese translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Firefox
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Azerbaijani language pack for Firefox
 This package contains Azerbaijani translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cak
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cak-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Kaqchikel language pack for Firefox
 This package contains Kaqchikel translations and search plugins
 for Firefox

Package: firefox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Czech language pack for Firefox
 This package contains Czech translations and search plugins
 for Firefox

Package: firefox-locale-csb
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Firefox
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: firefox-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Welsh language pack for Firefox
 This package contains Welsh translations and search plugins
 for Firefox

Package: firefox-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Danish language pack for Firefox
 This package contains Danish translations and search plugins
 for Firefox

Package: firefox-locale-de
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-de-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: German language pack for Firefox
 This package contains German translations and search plugins
 for Firefox

Package: firefox-locale-el
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-el-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Greek language pack for Firefox
 This package contains Greek translations and search plugins
 for Firefox

Package: firefox-locale-en
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-en-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: English language pack for Firefox
 This package contains English translations and search plugins
 for Firefox

Package: firefox-locale-eo
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eo-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Esperanto language pack for Firefox
 This package contains Esperanto translations and search plugins
 for Firefox

Package: firefox-locale-es
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-es-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Spanish; Castilian language pack for Firefox
 This package contains Spanish; Castilian translations and search plugins
 for Firefox

Package: firefox-locale-et
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-et-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Estonian language pack for Firefox
 This package contains Estonian translations and search plugins
 for Firefox

Package: firefox-locale-eu
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eu-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Basque language pack for Firefox
 This package contains Basque translations and search plugins
 for Firefox

Package: firefox-locale-fa
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fa-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Persian language pack for Firefox
 This package contains Persian translations and search plugins
 for Firefox

Package: firefox-locale-fi
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fi-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Finnish language pack for Firefox
 This package contains Finnish translations and search plugins
 for Firefox

Package: firefox-locale-fr
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fr-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: French language pack for Firefox
 This package contains French translations and search plugins
 for Firefox

Package: firefox-locale-fy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fy-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Western Frisian language pack for Firefox

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= firefox

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

ifeq (1,${MOZ_OFFICIAL_BUILD})
export MOZILLA_OFFICIAL=1
endif
ifeq (1,${MOZ_ENABLE_TELEMETRY})
export MOZ_TELEMETRY_REPORTING=1
export MOZ_SOURCE_REPO=${MOZILLA_REPO}
export MOZ_SOURCE_CHANGESET=$(shell cat $(DEB_SRCDIR)/SOURCE_CHANGESET)
endif

include $(CURDIR)/debian/build/rules.mk

debian/usr.bin.firefox.in:
	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	fi

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
endif

binary-post-install/$(MOZ_PKG_NAME):: install-distribution-searchplugins-$(MOZ_PKG_NAME)

$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)):: binary-post-install/%: install-distribution-searchplugins-%

$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""
	@echo "Installing distribution searchplugins for $*"
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% : install-distribution-searchplugins-IMPL-%
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""

install-distribution-searchplugins-IMPL-%:
	$(foreach lang,$(call locales_for_langpack,$*), \
		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u browser/components/search/extensions -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)

clean::
	rm -f debian/usr.bin.firefox.in config.log

## firefox 72.0.2~mozillabinaries

=== debian/changelog ===
firefox (72.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 23 Jan 2020 15:02:12 -0800

## firefox 73.0~mozillabinaries

=== debian/changelog ===
firefox (73.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Feb 2020 12:34:36 -0800

## firefox 73.0.1~mozillabinaries

=== debian/changelog ===
firefox (73.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Feb 2020 13:59:19 -0800

## firefox 73.0.1+build1

=== debian/changelog ===
firefox (73.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Feb 2020 22:14:55 +0100

firefox (73.0+build3-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 08 Feb 2020 22:59:12 +0100

firefox (73.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Feb 2020 15:26:58 +0100

firefox (73.0+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0+build1)

  [ Olivier Tilloy ]
  * Use a higher resolution icon for DuckDuckGo (LP: #1796397)
    - debian/searchplugins/ddg.xml
  * Re-enable and update debian/patches/unity-menubar.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.13.0
    - debian/build/create-tarball.py
  * Drop browser/chrome.manifest which is not available or required anymore
    - debian/firefox.install.in
  * Bump build-dep on rustc >= 1.39.0 and cargo >= 0.40
    - debian/control{,.in}
  * Update patches
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Fix build with C++17 on ppc platforms
    - debian/patches/ppc-drop-register.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 04 Feb 2020 22:09:32 +0100

firefox (72.0.2+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0.2+build1)

  * Fix an exception in the apport hook (LP: #1856707)
    - debian/apport/source_firefox.py.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 20 Jan 2020 10:58:32 +0100

firefox (72.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0.1+build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Jan 2020 15:29:21 +0100

firefox (72.0+build4-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0+build4)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given firefox version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

  [ Rico Tzschichholz ]
  * Exclude autoconf files from integrity check
    - debian/patches/drop-some-file-integrity-checks.patch
  * Bump build-dep on clang >= 8 (LP: #1850529)
    - debian/control{,.in}
    - debian/build/rules.mk
  * Update cbindgen to 0.12.1
    - debian/build/create-tarball.py
  * Use ac_add_options to define specific compiler and tool versions
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1603860)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 07 Jan 2020 22:53:25 +0100

firefox (71.0+build5-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (71.0+build5)

  * Update test expectation
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Dec 2019 19:28:07 +0100

firefox (71.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (71.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.10.0
    - debian/build/create-tarball.py
  * Bump build-dep on rustc >= 1.37.0 and cargo >= 0.38
    - debian/control{,.in}
  * Add explicit build-dep on libclang-*-dev
    - debian/control{,.in}
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
  * Skip Tagalog (tl) and Triqui (trs) localizations
    - debian/config/locales.blacklist
  * Include ca-valencia
    - update debian/config/locales.shipped

  [ Sabri Ünal, Selim Sumlu ]
  * Fix Turkish translation for the new-private-window action (LP: #1852818)
    - debian/firefox.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Nov 2019 16:05:22 +0100

firefox (70.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (70.0.1build1)

  [ Jean-Louis Dupond ]
  * Fix a typo in debian/README.Debian.in

  [ Olivier Tilloy ]
  * Update symbolic icon to match the latest firefox brand update
    (the asset was downloaded from https://mozilla.design/firefox/logos-usage/)
    - debian/symbolic.svg
  * Add an explicit build dependency on libclang-dev to remain in sync with
    focal, where clang stopped depending on libclang1
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 09:44:07 +0100

firefox (70.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (70.0build2)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Build with clang, as official firefox builds are now produced with clang,
    and select the highest clang version available to avoid hardcoding one
    version for each supported Ubuntu release:
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.36.0 and cargo >= 0.37
    - debian/control{,.in}
  * Update cbindgen to 0.9.1
    - debian/build/create-tarball.py
  * Exclude config.log from the build
    - debian/config/tarball.conf
    - debian/rules
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Drop upstreamed patches
    - debian/patches/fix-browser-search-get-api.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 07:28:16 +0200

firefox (69.0.3+build1-0ubuntu0.18.04.1) bionic; urgency=medium



## firefox 74.0~mozillabinaries

=== debian/changelog ===
firefox (74.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 10 Mar 2020 18:01:58 -0700

## firefox 74.0.1~mozillabinaries

=== debian/changelog ===
firefox (74.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 03 Apr 2020 14:24:23 -0700

## firefox 75.0~mozillabinaries

=== debian/changelog ===
firefox (75.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Apr 2020 15:06:25 -0700

## firefox 75.0%2Bbuild3

=== testing/web-platform/tests/conformance-checkers/Makefile ===
HTML2MARKDOWN=html2text
PERL=perl
PERLFLAGS=
FMT=fmt
FMTFLAGS=-80
EXPAND=expand
EXPANDFLAGS=
GIT=git
GITFLAGS=
PYTHON=python
PYTHONFLAGS=
CURL=curl
CURLFLAGS=
JAVA=java
JAVAFLAGS=
VNU_TEST_REPO=git@github.com:validator/tests.git
ITS_REPO=git@github.com:w3c/its-2.0-testsuite-inputdata.git
.PHONY: .FORCE

all: README.md messages.json

README.md: index.html
	$(HTML2MARKDOWN) $(HTML2MARKDOWNFLAGS) $< \
	    | $(PERL) $(PERLFLAGS) -pe 'undef $$/; s/(\s+\n)+/\n\n/g' \
	    | $(PERL) $(PERLFLAGS) -pe 'undef $$/; s/(\n\n\n)+/\n/g' \
	    | $(FMT) $(FMTFLAGS) \
	    | $(PERL) $(PERLFLAGS) -pe 'undef $$/; s/ +(\[[0-9]+\]:)\n +/\n   $$1 /g' \
	    | $(EXPAND) $(EXPANDFLAGS) > $@

messages.json: .FORCE
	$(CURL) $(CURLFLAGS) -O -L \
	  https://github.com/validator/validator/releases/download/jar/vnu.jar
	$(JAVA) $(JAVAFLAGS) -cp vnu.jar nu.validator.client.TestRunner \
	  --ignore=html-its --write-messages $@
	$(PYTHON) $(PYTHONFLAGS) -mjson.tool $@ > $@.tmp
	mv $@.tmp $@

test: .FORCE
	$(CURL) $(CURLFLAGS) -O -L \
	  https://github.com/validator/validator/releases/download/jar/vnu.jar
	$(JAVA) $(JAVAFLAGS) -cp vnu.jar nu.validator.client.TestRunner \
	  --ignore=html-its messages.json

push:
	cd .. \
	  && git push $(VNU_TEST_REPO) `git subtree split -P conformance-checkers`:master --force \
	  && cd -

its-push:
	cd ..\
	  && $(GIT) subtree push -P conformance-checkers/html-its/ $(ITS_REPO) master \
	  && cd -

its-pull:
	cd .. \
	  && $(GIT) pull -s subtree $(ITS_REPO) master \
	  && cd -

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 
 install-distribution-searchplugins-IMPL-%:
 	$(foreach lang,$(call locales_for_langpack,$*), \
-		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u browser/components/search/extensions -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
+		python2 debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u browser/components/search/extensions -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
 
 clean::
 	rm -f debian/usr.bin.firefox.in config.log

## firefox 75.0+build3

=== testing/raptor/requirements.txt ===
mozcrash ~= 2.0
mozrunner ~= 7.0
mozprofile ~= 2.1
manifestparser >= 1.1
wptserve ~= 1.4.0
mozdevice >= 3.0.1
mozproxy >= 1.0
pyyaml ~= 3.1
mozpower >= 1.0.0
mozversion >= 1.0
../condprofile

=== testing/talos/requirements.txt ===
jsonschema>=2.5.1
mozlog>=6.0
mozcrash>=2.0
mozfile>=1.2
mozinfo>=0.8
mozprocess>=0.22
mozversion>=1.3
mozprofile>=0.25
mozrunner>=7.1.0
psutil>=3.1.1
simplejson>=2.1.1
requests>=2.9.1
wptserve>=2.0.0

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.disco
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.focal
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 9),
@@ -35,14 +35,14 @@
 	unzip,
 	dbus-x11,
 	xvfb,
-	python (>= 2.7),
+	python2 (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	clang-9 | clang-8,
-	libclang-9-dev | libclang-8-dev,
-	llvm-9-dev | llvm-8-dev,
-	cargo (>= 0.38),
-	rustc (>= 1.37.0),
-	nodejs (>= 8.11)
+	clang-10 | clang-9 | clang-8,
+	libclang-10-dev | libclang-9-dev | libclang-8-dev,
+	llvm-10-dev | llvm-9-dev | llvm-8-dev,
+	cargo (>= 0.42),
+	rustc (>= 1.41.0),
+	nodejs (>= 10.19)
 Standards-Version: 3.9.1
 
 Package: firefox
@@ -410,4 +410,3 @@
 Replaces: language-pack-fy-base
 Conflicts: ${app:Conflicts}
 Provides: ${app:Provides}
-Description: Western Frisian language pack for Firefox

=== debian/tests/control ===
Test-Command: timeout -v 600 debian/tests/firefox-version
Depends: coreutils, firefox, firefox-geckodriver, python3-apt, python3-selenium

Test-Command: timeout -v 600 debian/tests/html5test
Depends: coreutils, firefox, firefox-geckodriver, python3-selenium
Restrictions: allow-stderr

## firefox 76.0~mozillabinaries

=== debian/changelog ===
firefox (76.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 05 May 2020 09:20:02 -0700

## firefox 76.0.1~mozillabinaries

=== debian/changelog ===
firefox (76.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 May 2020 17:19:06 -0700

## firefox 77.0~mozillabinaries

=== debian/changelog ===
firefox (77.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 02 Jun 2020 19:37:42 -0700

## firefox 77.0.1~mozillabinaries

=== debian/changelog ===
firefox (77.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 05 Jun 2020 09:27:58 -0700

## firefox 78.0~mozillabinaries

=== debian/changelog ===
firefox (78.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 29 Jun 2020 17:20:38 -0700

=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.2
Homepage: http://mozilla.org

Package: firefox
Architecture: i386 amd64
Depends: libgtk-3-0 (>= 3.4),
         libglib2.0-0 (>= 2.32.0),
         libpango1.0-0 (>= 1.30.0),
         pulseaudio | apulse,
         libavcodec58 | libavcodec-extra58 |libavcodec57 | libavcodec-extra57 |libavcodec56 | libavcodec-extra56
Recommends: adobe-flashplugin
Provides: x-www-browser, www-browser
Breaks: iceweasel
Replaces: firefox-amd64, firefox-i686, iceweasel
Conflicts: firefox-amd64, firefox-i686, iceweasel
Description: The Firefox web browser
 The Mozilla Firefox Web Browser. It is a powerful, extensible web browser
 with support for modern web application technologies. 
 .
 This package consists of the Mozilla-provided static binaries and support
 files bundled into a debianized package.

## firefox 78.0.1~mozillabinaries

=== debian/changelog ===
firefox (78.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 01 Jul 2020 19:56:18 -0700

## firefox 78.0.2~mozillabinaries

=== debian/changelog ===
firefox (78.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 11 Jul 2020 14:19:02 -0700
